diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/patchlevel.h ircd-hybrid-6.0/include/patchlevel.h
--- ircd-hybrid-6.0.orig/include/patchlevel.h	Mon Jun 25 05:19:28 2001
+++ ircd-hybrid-6.0/include/patchlevel.h	Mon Jun 25 05:11:53 2001
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "dancer-ircd-0.9.1"
+#define PATCHLEVEL    "dancer-ircd-0.9.1.2"
 #endif
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_connect.c ircd-hybrid-6.0/src/m_connect.c
--- ircd-hybrid-6.0.orig/src/m_connect.c	Mon Jun 25 05:19:28 2001
+++ ircd-hybrid-6.0/src/m_connect.c	Mon Jun 25 05:14:29 2001
@@ -182,12 +182,12 @@
   /*
    * Notify all operators about remote connect requests
    */
-  if (IsServer(cptr))
+  /*  if (IsServer(cptr))*/
     {
       sendto_ops_flag(UMODE_SERVNOTICE,
-			     "Remote CONNECT %s %s from %s",
-			     parv[1], parv[2] ? parv[2] : "",
-			     get_client_name(sptr, FALSE));
+		      "CONNECT %s %s from %s",
+		      parv[1], parv[2] ? parv[2] : "",
+		      get_client_name(sptr, FALSE));
 
       log(L_TRACE, "CONNECT From %s : %s %s", 
           parv[0], parv[1], parv[2] ? parv[2] : "");
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_list.c ircd-hybrid-6.0/src/m_list.c
--- ircd-hybrid-6.0.orig/src/m_list.c	Mon Jun 25 05:19:27 2001
+++ ircd-hybrid-6.0/src/m_list.c	Mon Jun 25 05:17:37 2001
@@ -118,7 +118,7 @@
         for (j=0, chptr = (struct Channel*)(hash_get_channel_block(i).list);
              (chptr) && (j<hash_get_channel_block(i).links); chptr = chptr->hnextch, j++) {
           if (!sptr->user ||
-              (SecretChannel(chptr) && !SeesAllConnections(sptr) && !IsMember(sptr, chptr)))
+              ((SecretChannel(chptr) && !IsMember(sptr, chptr)) && !SeesAllConnections(sptr)))
             continue;
           if (chptr->users < minusers) continue;
           /* EVIL!  sendto_one doesnt return status of any kind!  Forcing us
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_map.c ircd-hybrid-6.0/src/m_map.c
--- ircd-hybrid-6.0.orig/src/m_map.c	Mon Jun 25 05:19:28 2001
+++ ircd-hybrid-6.0/src/m_map.c	Mon Jun 25 00:02:35 2001
@@ -51,12 +51,7 @@
   if (!current->serv)
     return; /* this should never happen, but let's be safe... */
 
-  if (!(aconf = current->serv->nline))
-    {
-      if (current != &me)
-	sendto_ops_flag(UMODE_DEBUG, "WTF: No N:line attached to server %s in m_map()", current->name);
-    }
-  else 
+  if ((aconf = current->serv->nline))
     {
       if (aconf->map_done)
 	{
